org.richfaces.fragment.extendedDataTable

## Class RichFacesExtendedDataTable.AdvancedExtendedDataTableInteractions

- java.lang.Object
- - org.richfaces.fragment.dataTable.AbstractTable.AdvancedTableInteractions
  - - org.richfaces.fragment.extendedDataTable.RichFacesExtendedDataTable.AdvancedExtendedDataTableInteractions

- Enclosing class:
    RichFacesExtendedDataTable<HEADER,ROW,FOOTER>

      public class RichFacesExtendedDataTable.AdvancedExtendedDataTableInteractions
      extends AbstractTable.AdvancedTableInteractions

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RichFacesExtendedDataTable.AdvancedExtendedDataTableInteractions()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<org.openqa.selenium.WebElement>` | `getColumnFooterElements()`
    `List<org.openqa.selenium.WebElement>` | `getColumnHeaderElements()`
    `List<org.openqa.selenium.WebElement>` | `getFirstRowCellsElements()`
    `org.openqa.selenium.WebElement` | `getFooterElement()`
    `org.openqa.selenium.WebElement` | `getHeaderElement()`
    `org.openqa.selenium.WebElement` | `getNoDataElement()`
    `org.jboss.arquillian.graphene.findby.ByJQuery` | `getSelectorForCell(int column)`
    `protected String` | `getStyleClassForSelectedRow()`
    `org.openqa.selenium.WebElement` | `getTableBodyElement()`
    `List<org.openqa.selenium.WebElement>` | `getTableRowsElements()`
    `org.openqa.selenium.WebElement` | `getWholeTableFooterElement()`
    `org.openqa.selenium.WebElement` | `getWholeTableHeaderElement()`

    - ### Methods inherited from class org.richfaces.fragment.dataTable.AbstractTable.AdvancedTableInteractions

      `getCellElement, getColumnFooterElement, getColumnHeaderElement, getNumberOfColumns, getNumberOfVisibleRows, getRootElement, isNoData, isVisible`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RichFacesExtendedDataTable.AdvancedExtendedDataTableInteractions

          public RichFacesExtendedDataTable.AdvancedExtendedDataTableInteractions()

  - ### Method Detail

    - #### getStyleClassForSelectedRow

          protected String getStyleClassForSelectedRow()

    - #### getNoDataElement

          public org.openqa.selenium.WebElement getNoDataElement()

      Specified by:
        `getNoDataElement` in class `AbstractTable.AdvancedTableInteractions`

    - #### getTableRowsElements

          public List<org.openqa.selenium.WebElement> getTableRowsElements()

      Specified by:
        `getTableRowsElements` in class `AbstractTable.AdvancedTableInteractions`

    - #### getFirstRowCellsElements

          public List<org.openqa.selenium.WebElement> getFirstRowCellsElements()

      Specified by:
        `getFirstRowCellsElements` in class `AbstractTable.AdvancedTableInteractions`

    - #### getSelectorForCell

          public org.jboss.arquillian.graphene.findby.ByJQuery getSelectorForCell(int column)

      Specified by:
        `getSelectorForCell` in class `AbstractTable.AdvancedTableInteractions`

    - #### getWholeTableHeaderElement

          public org.openqa.selenium.WebElement getWholeTableHeaderElement()

      Specified by:
        `getWholeTableHeaderElement` in class `AbstractTable.AdvancedTableInteractions`

    - #### getWholeTableFooterElement

          public org.openqa.selenium.WebElement getWholeTableFooterElement()

      Specified by:
        `getWholeTableFooterElement` in class `AbstractTable.AdvancedTableInteractions`

    - #### getHeaderElement

          public org.openqa.selenium.WebElement getHeaderElement()

      Specified by:
        `getHeaderElement` in class `AbstractTable.AdvancedTableInteractions`

    - #### getFooterElement

          public org.openqa.selenium.WebElement getFooterElement()

      Specified by:
        `getFooterElement` in class `AbstractTable.AdvancedTableInteractions`

    - #### getColumnHeaderElements

          public List<org.openqa.selenium.WebElement> getColumnHeaderElements()

      Specified by:
        `getColumnHeaderElements` in class `AbstractTable.AdvancedTableInteractions`

    - #### getColumnFooterElements

          public List<org.openqa.selenium.WebElement> getColumnFooterElements()

      Specified by:
        `getColumnFooterElements` in class `AbstractTable.AdvancedTableInteractions`

    - #### getTableBodyElement

          public org.openqa.selenium.WebElement getTableBodyElement()

Copyright © 2015 JBoss by Red Hat. All Rights Reserved.